- pageTitle = "Registration"
include ./core/header
if message
  include ./core/navbar
  body
    section.intro(style="min-height:100vh;min-width:100vw;")
      .container
        .row.text-center
          .col-md-12.col-sm-12.col-xs-12
            .heading-count
              img#prof_img(src="/assets/img/transparent_prof.png").img-fluid
              h2=message
              a.btn(href="/") Go Back
  include ./core/scripts
else
  include ./core/navbar
  body
    section.register.section-padding-top.section-padding-bottom
      .container
        form#register(action="/register" method="post", enctype="multipart/form-data")
          .row
            .col-sm-12.col-md-6.form-group
              label(for="first_name")
                span(class="required") *
                | First Name
              input.form-control#first_name(type="text", name="first_name", required)
            .col-sm-12.col-md-6.form-group
              label(for="last_name")
                span(class="required") *
                | Last Name
              input.form-control#last_name(type="text", name="last_name", required)
            .col-sm-12.col-md-6.form-group
              label(for="phone")
                span(class="required") *
                | Phone #
              input.form-control#phone(type="text", name="phone", required)
            .col-sm-12.col-md-6.form-group
              label(for="email")
                span(class="required") *
                | Email
              input.form-control#email(type="email", name="email", required)
          .row
            .col-sm-12.col-md-6.form-group
              label(for="shipping_address")
                span(class="required") *
                | Shipping Address (for merch and prizes)
          .row
            .col-sm-12.col-md-6.form-group
              label(for="street")
                span(class="required") *
                | Street Address
              textarea.form-control#street(type="textarea", name="street", required)
            .col-sm-12.col-md-6.form-group
              label(for="city")
                span(class="required") *
                | City
              input.form-control#city(type="text", name="city", required)
            .col-sm-12.col-md-6.form-group
              label(for="state") 
                span(class="required") *
                | State
              input.form-control#state(type="text", name="state", required)
            .col-sm-12.col-md-6.form-group
              label(for="country") 
                span(class="required") *
                | Country
              select.form-control#country(type="text", name="country", required)
                option(value='')
            .col-sm-12.col-md-6.form-group
              label(for="zipcode") 
                span(class="required") *
                | Zipcode
              input.form-control#zipcode(type="text", name="zipcode", required)
          .row
            .col-sm-12.col-md-6.form-group
              label(for="school")
                span(class="required") *
                | School
              select.form-control#school(type="text", name="school", required)
                option(value='') Select School
                option Cladwell University
                option College of New Jersey
                option Devry University
                option Drew University
                option Fairleigh Dickinson University
                option Glassboro High School
                option Kean University
                option Lincoln Technical Institute
                option Monmouth University
                option Montclair State University
                option New Jersey City University
                option New Jersey Institute of Technology
                option Princeton University
                option Ramapo College of New Jersey
                option Rider University
                option Rowan College of South Jersey
                option Rowan University
                option Rutgers University
                option Saint Peter's University
                option Seton Hall University
                option Stevens Institute of Technology
                option Stockton University
                option Strayer University
                option Thomas Edison State University
                option William Paterson University
                option(value="specify") Other (Please Specify)
              #school_specify
                label(for="school_specify") Specify School:
                input.form-control(type="text", name="school_specify")
            .col-sm-12.col-md-6.form-group
              label(for="birthdate") 
                span(class="required") *
                | Birthdate
              input.form-control#birthdate(type="date", name="birthdate", required)
            .col-sm-12.col-md-6.form-group
              label(for="gender") 
                span(class="required") *
                | Gender
              select.form-control#gender(type="text", name="gender", required)
                option(value='') Select Gender
                option Male
                option Female
                option Prefer Not to Answer
                option(value='specify') Other (Please Specify)
              #gender_specify
                label(for="gender_specify") Specify Gender:
                input.form-control(type="text", name="gender_specify")
            .col-sm-12.col-md-6.form-group
              label(for="race") 
                span(class="required") *
                | What is your Race/Ethnicity?
              select.form-control#race(type="text", name="race", required)
                option(value='') Select Race/Ethnicity
                option American Indian or Alaskan Native
                option Asian / Pacific Islander
                option Black or African American
                option Hispanic
                option White / Caucasian
                option(value="specify") Multiple ethnicity / Other (Please Specify)
                option Prefer not to answer
              #race_specify
                label(for="race_specify") Specify Race/Ethnicity:
                input.form-control(type="text", name="race_specify")
            .col-sm-12.col-md-6.form-group
              label(for="major") What is your Major?
              input.form-control#major(type="text", name="major")
            .col-sm-12.col-md-6.form-group
              label(for="los") 
                span(class="required") *
                | What is your most current level of study?
              select.form-control#los(type="text", name="los", required)
                option(value='') Select Level of Study
                option Middle School
                option High School
                option College/University
            .col-sm-12.col-md-6.form-group
              label(for="graduation") 
                span(class="required") *
                | What is your graduation year?
              input.form-control#graduation(type="number", name="graduation", required)
            .col-sm-12.col-md-6.form-group
              label(for="ieee_member_id") IEEE Student Member Number (optional)
              // (if applicable, you will receive a limited edition prize)
              input.form-control#ieee_member_id(type="number", name="ieee_member_id")
            .col-sm-12.col-md-6.form-group
              label(for="resume") Resume
              input.form-control#resume(type="file", name="resume")
            .col-sm-12.col-md-6.form-group
              label(for="shirt_size") 
                span(class="required") *
                | T-Shirt Size
              select.form-control#shirt_size(type="text", name="shirt_size", required)
                option(value='') Select a Shirt Size
                option XXS
                option XS
                option S
                option M
                option L
                option XL
                option 2XL
                option 3XL
            .col-sm-12.col-md-6.form-group
              label(for="accepted_student")
                span(class="required") *
                | Are you a prospective student, admitted to the Rowan ECE program to start in Fall 2021?
              select.form-control#accepted_student(type="checkbox", name="accepted_student" required)
                option(value='') Select Answer
                option No
                option(value="specify") Yes
              #accepted_student_competing
                label(for="accepted_student_competing") Do you plan on competing or just attending workshops/events?
                select.form-control(type="text", name="accepted_student_competing")
                  option Competing
                  option Only Worshops
            .col-sm-12.col-md-6.form-group.form-inline
              label(for="minor") I am under 18 years old
              input.form-control#minor(type="checkbox", name="minor")
            .col-sm-12.col-md-6.form-group.form-inline
              label(for="first_timer") This is my first Hackathon
              input.form-control#first_timer(type="checkbox", name="first_timer")
            .col-sm-12.col-md-6.form-group.form-inline
              label(for="mlh_coc") 
                span(class="required") *
                | I have read and agree to the
                a(href="https://static.mlh.io/docs/mlh-code-of-conduct.pdf" target="_blank") &nbsp;MLH Code of Conduct
              input.form-control#mlh_coc(type="checkbox", name="mlh_coc", required)
            .col-sm-12.col-md-6.form-group.form-inline
              .col-sm-11(style="padding-left:0px; padding-right: 0px")
                label(for="mlh_ctac_pp") 
                  span(class="required") *
                  | I authorize you to share my application/registration information for event
                  | administration, ranking, MLH administration, pre- and post-event
                  | informational e-mails, and occasional messages about hackathons in-line
                  | with the MLH Privacy Policy. I further agree to the terms of both the MLH
                  | Contest Terms and Conditions and the MLH Privacy Policy.
              .col-sm-1
                input.form-control#mlh_dsn(type="checkbox", name="mlh_dsn", required)
            .col-sm-12.col-md-6.form-group
              label Please note that teams are capped at four people (register each member individually).
          .row
            .col-sm-12.text-center
              input.btn(type="submit" value="Submit")

  include ./core/footer
  script(src="/assets/js/countries.js")
  script(src="/assets/js/register_specify_dropdown.js")
  include ../assets/js/register.js
